struts-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Randy Burgess <ran...@d5systems.com>
Subject Struts 2.1.6 and XWork 2.1.2 Maven dependencies
Date Tue, 17 Mar 2009 21:58:58 GMT
Hello,
I originally sent this from an address that isn't subscribed to this list so
I hope it doesn't show up twice, if it does I apologize. I haven't gotten a
bounce message or seen it so I'm assuming the original won't show up.

RB
===========

I was just looking over the dependencies of a test S2 2.1.6 Mavenized app
I'm using and noticed that JUnit is required in my WAR, which shouldn't be
the case. Then I did a little digging and noticed that struts2-core-2.1.6
depends on XWork which has a compile dependency on spring-test 2.5.6 which
in turn has a compile dependency on JUnit. Is there a reason that the scope
isn't set to "test" on spring-test? Same JUnit compile dependency with
struts2-sitemesh and struts2-config-browser and probably other plugins.

This is what I'm seeing with m2eclipse so if I'm off base let me know, but
it has always reliably shown dependency trees for me. I don't recall seeing
this with 2.0.x.

If there is any way I can help fix this for 2.1.7 I'll be glad to pitch in

-- 
Regards,
Randy Burgess

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message